Bug 619636 - Odd error in httpd ssl_error_log
Summary: Odd error in httpd ssl_error_log
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Update Infrastructure for Cloud Providers
Classification: Red Hat
Component: RHUA (Show other bugs)
(Show other bugs)
Version: 1.1
Hardware: All Linux
low
medium
Target Milestone: ---
: ---
Assignee: Jay Dobies
QA Contact: wes hayutin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-30 01:48 UTC by wes hayutin
Modified: 2012-05-31 12:58 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-31 12:58:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description wes hayutin 2010-07-30 01:48:45 UTC
==> ssl_error_log <==
[Thu Jul 29 19:22:20 2010] [warn] RSA server certificate is a CA certificate (BasicConstraints: CA == TRUE !?)
[Thu Jul 29 19:22:20 2010] [warn] RSA server certificate CommonName (CN) `x86-001.build.bos.redhat.com' does NOT match server name!?
[Thu Jul 29 19:22:21 2010] [warn] RSA server certificate is a CA certificate (BasicConstraints: CA == TRUE !?)
[Thu Jul 29 19:22:21 2010] [warn] RSA server certificate CommonName (CN) `x86-001.build.bos.redhat.com' does NOT match server name!?
[Thu Jul 29 21:17:02 2010] [warn] RSA server certificate is a CA certificate (BasicConstraints: CA == TRUE !?)
[Thu Jul 29 21:17:02 2010] [warn] RSA server certificate CommonName (CN) `x86-001.build.bos.redhat.com' does NOT match server name!?
[Thu Jul 29 21:17:02 2010] [warn] RSA server certificate is a CA certificate (BasicConstraints: CA == TRUE !?)
[Thu Jul 29 21:17:02 2010] [warn] RSA server certificate CommonName (CN) `x86-001.build.bos.redhat.com' does NOT match server name!?

Comment 1 Jay Dobies 2010-08-02 19:01:13 UTC
I suspect this is a side effect of how the certs were generated. We can talk through it more closely on your next environment setup.

Comment 2 Jay Dobies 2010-10-28 19:55:39 UTC
I'm not sure we ever discussed this and no doubt the environment will be rebuilt in the next round of testing, so I'll pitch it back to QE with 1.2 and we can handle it if it comes up again.

Comment 3 Jay Dobies 2010-11-29 19:55:47 UTC
This shouldn't be an issue anymore. Please verify against the RHUI-0.71 ISO.

Comment 4 Kedar Bidarkar 2011-01-20 09:05:09 UTC
The issue no longer exists in a perfectly working RHUI 1.2 setup.

CDS
----

[root@domU-12-31-39-17-20-4A httpd]# ll

total 388

-rw-r--r-- 1 root root    327 Jan 19 13:36 access_log

-rw-r--r-- 1 root root   2018 Jan 19 13:36 error_log

-rw-r--r-- 1 root root 365417 Jan 20 03:55 ssl_access_log

-rw-r--r-- 1 root root      0 Jan 19 06:03 ssl_error_log


[root@domU-12-31-39-16-4E-19 httpd]# ll

total 388

-rw-r--r-- 1 root root    229 Jan 19 15:43 access_log

-rw-r--r-- 1 root root   1788 Jan 19 15:43 error_log

-rw-r--r-- 1 root root 365517 Jan 20 03:55 ssl_access_log

-rw-r--r-- 1 root root      0 Jan 19 06:03 ssl_error_log


[root@domU-12-31-39-15-62-9B httpd]# ll

total 388

-rw-r--r-- 1 root root    106 Jan 19 15:46 access_log

-rw-r--r-- 1 root root   1687 Jan 19 15:46 error_log

-rw-r--r-- 1 root root 365239 Jan 20 03:55 ssl_access_log

-rw-r--r-- 1 root root      0 Jan 19 06:03 ssl_error_log



LB
---
[root@domU-12-31-39-0B-5D-91 httpd]# ll

total 28

-rw-r--r-- 1 root root 1085 Jan 20 02:38 access_log

-rw-r--r-- 1 root root 3186 Jan 20 02:38 error_log

-rw-r--r-- 1 root root 3403 Jan 20 02:33 ssl_access_log

-rw-r--r-- 1 root root    0 Jan 19 06:06 ssl_error_log


[root@domU-12-31-39-00-21-61 httpd]# ll

total 312

-rw-r--r-- 1 root root    106 Jan 19 15:41 access_log

-rw-r--r-- 1 root root   2483 Jan 19 15:41 error_log

-rw-r--r-- 1 root root 290332 Jan 20 03:55 ssl_access_log

-rw-r--r-- 1 root root      0 Jan 19 06:14 ssl_error_log

Comment 5 wes hayutin 2011-08-01 21:40:55 UTC
moving to release pending

Comment 6 wes hayutin 2012-05-31 12:58:04 UTC
closing out, product released


Note You need to log in before you can comment on or make changes to this bug.